Bug 1181686 - (CVE-2021-20201) VUL-0: CVE-2021-20201: spice,spice-gtk: client initiated renegotiation denial of service
(CVE-2021-20201)
VUL-0: CVE-2021-20201: spice,spice-gtk: client initiated renegotiation denial...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/276725/
CVSSv3.1:SUSE:CVE-2021-20201:6.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-02 09:26 UTC by Alexander Bergmann
Modified: 2022-10-13 06:58 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-02-02 09:26:26 UTC
rh#1921846

A issue was discovered in spice v0.14.91 and before. There is a DoS Vulnerability which might make it easier for remote attackers to cause a denial of service (CPU consumption) by performing many renegotiations within a single connection.

Upstream issue:

https://gitlab.freedesktop.org/spice/spice/-/issues/49

References:

https://blog.qualys.com/product-tech/2011/10/31/tls-renegotiation-and-denial-of-service-attacks

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1921846
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-20201
https://access.redhat.com/security/cve/CVE-2021-20201
Comment 1 Bruce Rogers 2021-03-04 14:22:43 UTC
It seems this issue is addressed by the following two upstream commits:
95a0cfac8a1c8eff50f05e65df945da3bb501fc9
ca5bbc5692e052159bce1a75f55dc60b36078749
Comment 3 Charles Arnold 2021-06-03 22:10:36 UTC
Submitted.
Comment 4 Swamp Workflow Management 2021-06-08 22:21:08 UTC
SUSE-SU-2021:1901-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1177158,1181686
CVE References: CVE-2020-14355,CVE-2021-20201
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    spice-0.14.0-4.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    spice-0.14.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    spice-0.14.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    spice-0.14.0-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-06-08 22:22:32 UTC
SUSE-SU-2021:1906-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1181686
CVE References: CVE-2021-20201
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    spice-0.12.8-18.1
SUSE OpenStack Cloud Crowbar 8 (src):    spice-0.12.8-18.1
SUSE OpenStack Cloud 9 (src):    spice-0.12.8-18.1
SUSE OpenStack Cloud 8 (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Server 12-SP5 (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    spice-0.12.8-18.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    spice-0.12.8-18.1
HPE Helion Openstack 8 (src):    spice-0.12.8-18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-06-08 22:30:38 UTC
SUSE-SU-2021:14744-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1177158,1181686,982386
CVE References: CVE-2016-2150,CVE-2020-14355,CVE-2021-20201
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    spice-0.12.4-21.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    spice-0.12.4-21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-06-08 22:33:12 UTC
SUSE-SU-2021:1902-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1177158,1181686
CVE References: CVE-2020-14355,CVE-2021-20201
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    spice-0.12.7-10.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-06-10 10:28:54 UTC
SUSE-SU-2021:1927-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1181686
CVE References: CVE-2021-20201
JIRA References: 
Sources used:
SUSE MicroOS 5.0 (src):    spice-0.14.2-3.6.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    spice-0.14.2-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-06-11 16:18:50 UTC
SUSE-SU-2021:1956-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1177158,1181686
CVE References: CVE-2020-14355,CVE-2021-20201
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    spice-0.14.1-4.3.1
SUSE Manager Retail Branch Server 4.0 (src):    spice-0.14.1-4.3.1
SUSE Manager Proxy 4.0 (src):    spice-0.14.1-4.3.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    spice-0.14.1-4.3.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    spice-0.14.1-4.3.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    spice-0.14.1-4.3.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    spice-0.14.1-4.3.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    spice-0.14.1-4.3.1
SUSE Enterprise Storage 6 (src):    spice-0.14.1-4.3.1
SUSE CaaS Platform 4.0 (src):    spice-0.14.1-4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-06-16 19:30:22 UTC
openSUSE-SU-2021:0874-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1181686
CVE References: CVE-2021-20201
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    spice-0.14.2-lp152.2.6.1
Comment 16 Swamp Workflow Management 2022-08-24 13:18:37 UTC
SUSE-SU-2022:2881-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1181686
CVE References: CVE-2021-20201
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    spice-0.14.3-150300.3.3.1
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    spice-0.14.3-150300.3.3.1
SUSE Linux Enterprise Micro 5.2 (src):    spice-0.14.3-150300.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2022-09-01 15:07:01 UTC
SUSE-SU-2022:2881-2: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1181686
CVE References: CVE-2021-20201
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    spice-0.14.3-150300.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.